All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.security
Class LoginServiceException

    com.sas.services.security.LoginServiceException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

Direct Known Subclasses:
  CredentialLoginServiceException, ExpiredPasswordLoginServiceException, NetworkLoginServiceException

    public class LoginServiceException

implements java.io.Serializable

This is an exception that gets thrown when a user attempts to get authenticated, but it fails for some reason. There are more specific subclasses when more information about the cause of the failure can be determined.

Since:
  1.1
See Also:
  Serialized Form

Constructor Summary
`LoginServiceException()` Constructs a default login service exception.
`LoginServiceException(java.lang.String message)` Constructs a login service exception using the message detailing the failure.
`LoginServiceException(java.lang.Throwable throwable, java.lang.String message)` Constructs a login service exception using the message detailing the failure and the throwable that cause the failure.

Method Summary

Methods inherited from class com.sas.util.ChainedException
`chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

Constructor Detail

### LoginServiceException

    public LoginServiceException()

  Constructs a default login service exception.

### LoginServiceException

    public LoginServiceException(java.lang.String message)

  Constructs a login service exception using the message detailing the failure.

  Parameters:
    `message` - Message detailing the login failure.

### LoginServiceException

    public LoginServiceException(java.lang.Throwable throwable,
                                 java.lang.String message)

  Constructs a login service exception using the message detailing the failure and the throwable that cause the failure.

  Parameters:
    `throwable` - Throwable that caused the login failure.
    `message` - Message detailing the login failure.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.